Package com.sun.jna.platform.win32.COM

# Interface IEnumMoniker

All Superinterfaces:
  `IUnknown`

All Known Implementing Classes:
  `EnumMoniker`

public interface IEnumMoniker extends IUnknown
Enumerates the components of a moniker or the monikers in a table of monikers.

See Also:
  - MSDN

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Guid.IID`
  `IID`

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `IID_IUNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinNT.HRESULT`
  `Clone(PointerByReference ppenum)`
  Creates a new enumerator that contains the same enumeration state as the current one.
  `WinNT.HRESULT`
  `Next(WinDef.ULONG celt, PointerByReference rgelt, WinDef.ULONGByReference pceltFetched)`
  Retrieves the specified number of items in the enumeration sequence.
  `WinNT.HRESULT`
  `Reset()`
  Resets the enumeration sequence to the beginning.
  `WinNT.HRESULT`
  `Skip(WinDef.ULONG celt)`
  Skips over the specified number of items in the enumeration sequence.

  ### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `AddRef, QueryInterface, Release`

- ## Field Details

  - ### IID

    static final Guid.IID IID

- ## Method Details

  - ### Clone

    WinNT.HRESULT Clone(PointerByReference ppenum)
    Creates a new enumerator that contains the same enumeration state as the current one. This method makes it possible to record a particular point in the enumeration sequence and then return to that point at a later time. The caller must release this new enumerator separately from the first enumerator. `HRESULT Clone( [out] IEnumMoniker **ppenum );`
    See Also:
      - MSDN

  - ### Next

    WinNT.HRESULT Next(WinDef.ULONG celt, PointerByReference rgelt, WinDef.ULONGByReference pceltFetched)
    Retrieves the specified number of items in the enumeration sequence. Note: The caller is responsible for calling Release through each pointer enumerated. `HRESULT Next( [in] ULONG celt, [out] IMoniker **rgelt, [in, out] ULONG *pceltFetched );`
    See Also:
      - MSDN

  - ### Reset

    WinNT.HRESULT Reset()
    Resets the enumeration sequence to the beginning. `HRESULT Reset();`
    See Also:
      - MSDN

  - ### Skip

    WinNT.HRESULT Skip(WinDef.ULONG celt)
    Skips over the specified number of items in the enumeration sequence. `HRESULT Skip( [in] ULONG celt );`
    See Also:
      - MSDN